Method: networks.targetingPresets.batchUpdate

Batch updates TargetingPreset objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/targetingPresets:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where TargetingPresets will be updated. Format: networks/{networkCode} The parent field in the UpdateTargetingPresetRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateTargetingPresetRequest)
    }
  ]
}
Fields
requests[]

object (UpdateTargetingPresetRequest)

Required. The TargetingPreset objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for targetingPresets.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "targetingPresets": [
    {
      object (TargetingPreset)
    }
  ]
}
Fields
targetingPresets[]

object (TargetingPreset)

The TargetingPreset objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateTargetingPresetRequest

Request object for targetingPresets.patch method.

JSON representation
{
  "targetingPreset": {
    object (TargetingPreset)
  },
  "updateMask": string
}
Fields
targetingPreset

object (TargetingPreset)

Required. The TargetingPreset to update.

The TargetingPreset's name is used to identify the TargetingPreset to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".